Subject: bug#33825: 25.2; , Failing to verify signature for ELPA debbugs package

From: Robert Pluim <[email-masked]>
Date: Mon, 16 Sep 2019 11:07:32 +0200

>>>>> On Fri, 13 Sep 2019 21:50:27 +0200, Stefan Kangas <[email-masked]> said:

    Stefan> Robert Pluim <[email-masked]> writes:
    >> clemera <[email-masked]> writes:
    >> 
    >>>> FWIW, it verifies fine here with Emacs 25.2
    >>> 
    >>> I tried it again and now it works for me, too. Strange..., what could
    >>> have caused that it failed before?
    >> 
    >> There are 'transparent' proxies which will untar archives and then
    >> retar them, resulting in a file that fails signature verification even
    >> though the contents are identical. When you then repeat the download,
    >> the proxy knows it has previously inspected the file, and thus lets
    >> through the original. Using https solves this issue 99% of the time.
    >> 
    >> If youʼre using https already, then Iʼm out of ideas :-)

    Stefan> The reporter verified he was indeed using http.  Is there anything
    Stefan> that can or should be done here, or is this to be closed as notabug?

I think this is notabug. We can always reopen it if needed.

Robert